const test = require('tape')

const { combineActionHandlers, createActionHandler } = require('..')

const actionHandler1 = createActionHandler('ACTION_1', (state, action) => 1)
const actionHandler2 = createActionHandler('ACTION_2', (state, action) => 2)
const actionHandler3 = createActionHandler('ACTION_3', (state, action) => 3)

const combinedActionHandler = combineActionHandlers(actionHandler1, actionHandler2, actionHandler3)

test('combineActionHandlers should be a function', (t) => {
  t.plan(1)
  t.equal(typeof combineActionHandlers, 'function')
})

test('combineActionHandlers should return an object', (t) => {
  t.plan(1)
  t.equal(typeof combinedActionHandler, 'object')
})

test('combineActionHandlers should  return a combined actionHandler', (t) => {
  t.plan(2)
  t.deepEqual(Object.keys(combinedActionHandler), ['ACTION_1', 'ACTION_2', 'ACTION_3'])
  t.equal(combinedActionHandler['ACTION_2'], actionHandler2['ACTION_2'])
})
