const test = require('tape')

const { createPromise } = require('..')

test('createPromise should be a function', (t) => {
  t.plan(1)
  t.equal(typeof createPromise, 'function', 'typeof createPromise should be a function')
})

test('createPromise should return a promise', (t) => {
  t.plan(1)
  t.ok(createPromise((resolve, reject) => resolve()) instanceof Promise, 'returned promise should be a instance of Promise')
})

test('promise should resolve when it is done', (t) => {
  t.plan(1)

  const myPromise = createPromise((resolve, reject) => setTimeout(() => resolve('hi'), 800))
  myPromise.then((msg) => t.pass())
})
