const { createReducer } = require('../')

const test = require('tape')

const reducer = createReducer('initialState', {
  'SOME_ACTION': (state, action) => 'someState',
  'OTHER_ACTION': (state, action) => 'otherState'
})

test('createReducer should return a function', (t) => {
  t.plan(1)
  t.equal(typeof reducer, 'function')
})

test('createReducer should return a function with the same arity as a reducer', (t) => {
  t.plan(1)
  t.equal(reducer.length, ((state = 'initialState', action) => {}).length)
})

test('createReducer should return a reducer function', (t) => {
  t.plan(2)
  t.equal(reducer('state', {type: 'SOME_ACTION'}), 'someState')
  t.equal(reducer(undefined, {type: 'UNKNOWN_ACTION'}), 'initialState')
})
